Loading...
Searching...
No Matches
LeafNode< bool, Log2Dim >::ValueIter< MaskIterT, NodeT, ValueT > Struct Template Reference

`#include <openvdb/tree/LeafNodeBool.h>`

Inheritance diagram for LeafNode< bool, Log2Dim >::ValueIter< MaskIterT, NodeT, ValueT >:

## Public Types

using | BaseT = SparseIteratorBase<MaskIterT, ValueIter, NodeT, ValueT>
using | NodeType
using | ValueType
using | NonConstNodeType
using | NonConstValueType

## Public Member Functions

| ValueIter ()
| ValueIter (const MaskIterT &iter, NodeT *parent)
const bool & | getItem (Index pos) const
const bool & | getValue () const
void | setItem (Index pos, bool value) const
void | setValue (bool value) const
template<typename ModifyOp>
void | modifyItem (Index n, const ModifyOp &op) const
template<typename ModifyOp>
void | modifyValue (const ModifyOp &op) const
void | setItem (Index, const ValueT &) const
| Set the value of the item at the given index in the parent node's table.
ValueT & | operator* () const
| Return a reference to the item to which this iterator is pointing.
ValueT * | operator-> () const
| Return a pointer to the item to which this iterator is pointing.
void | setValue (const ValueT &value) const
| Set the value of the item to which this iterator is pointing. (Not valid for const iterators.).
bool | operator== (const IteratorBase &other) const
bool | operator!= (const IteratorBase &other) const
NodeT * | getParentNode () const
| Return a pointer to the node (if any) over which this iterator is iterating.
NodeT & | parent () const
| Return a reference to the node over which this iterator is iterating.
Index | offset () const
| Return this iterator's position as an index into the parent node's table.
Index | pos () const
| Identical to offset.
bool | test () const
| Return `true` if this iterator is not yet exhausted.
| operator bool () const
| Return `true` if this iterator is not yet exhausted.
bool | next ()
| Advance to the next item in the parent node's table.
void | increment ()
| Advance to the next item in the parent node's table.
void | increment (Index n)
| Advance n items in the parent node's table.
IteratorBase & | operator++ ()
| Advance to the next item in the parent node's table.
bool | isValueOn () const
| Return `true` if this iterator is pointing to an active value. Return `false` if it is pointing to either an inactive value or a child node.
void | setValueOn (bool on=true) const
| If this iterator is pointing to a value, set the value's active state. Otherwise, do nothing.
void | setValueOff () const
| If this iterator is pointing to a value, mark the value as inactive.
Coord | getCoord () const
| Return the coordinates of the item to which this iterator is pointing.
void | getCoord (Coord &xyz) const
| Return in xyz the coordinates of the item to which this iterator is pointing.

## Static Public Attributes

static const bool | IsSparseIterator
static const bool | IsDenseIterator

## Member Typedef Documentation

## BaseT

template<Index Log2Dim>
template<typename MaskIterT, typename NodeT, typename ValueT>

using BaseT = SparseIteratorBase<MaskIterT, ValueIter, NodeT, ValueT>

## NodeType

using NodeType

inherited

## NonConstNodeType

using NonConstNodeType

inherited

## NonConstValueType

using NonConstValueType

inherited

## ValueType

using ValueType

inherited

## Constructor & Destructor Documentation

## ValueIter() [1/2]

template<Index Log2Dim>
template<typename MaskIterT, typename NodeT, typename ValueT>

ValueIter | ( |  | ) |

inline

## ValueIter() [2/2]

template<Index Log2Dim>
template<typename MaskIterT, typename NodeT, typename ValueT>

ValueIter | ( | const MaskIterT & | iter,
|  | NodeT * | parent )

inline

## Member Function Documentation

## getCoord() [1/2]

Coord getCoord | ( |  | ) | const

inline inherited

Return the coordinates of the item to which this iterator is pointing.

## getCoord() [2/2]

void getCoord | ( | Coord & | xyz | ) | const

inline inherited

Return in xyz the coordinates of the item to which this iterator is pointing.

## getItem()

template<Index Log2Dim>
template<typename MaskIterT, typename NodeT, typename ValueT>

const bool & getItem | ( | Index | pos | ) | const

inline

## getParentNode()

NodeT * getParentNode | ( |  | ) | const

inline inherited

Return a pointer to the node (if any) over which this iterator is iterating.

## getValue()

template<Index Log2Dim>
template<typename MaskIterT, typename NodeT, typename ValueT>

const bool & getValue | ( |  | ) | const

inline

## increment() [1/2]

void increment | ( |  | ) |

inline inherited

Advance to the next item in the parent node's table.

## increment() [2/2]

void increment | ( | Index | n | ) |

inline inherited

Advance n items in the parent node's table.

## isValueOn()

bool isValueOn | ( |  | ) | const

inline inherited

Return `true` if this iterator is pointing to an active value. Return `false` if it is pointing to either an inactive value or a child node.

## modifyItem()

template<Index Log2Dim>
template<typename MaskIterT, typename NodeT, typename ValueT>
template<typename ModifyOp>

void modifyItem | ( | Index | n,
|  | const ModifyOp & | op ) const

inline

## modifyValue()

template<Index Log2Dim>
template<typename MaskIterT, typename NodeT, typename ValueT>
template<typename ModifyOp>

void modifyValue | ( | const ModifyOp & | op | ) | const

inline

## next()

bool next | ( |  | ) |

inline inherited

Advance to the next item in the parent node's table.

## offset()

Index offset | ( |  | ) | const

inline inherited

Return this iterator's position as an index into the parent node's table.

## operator bool()

operator bool | ( |  | ) | const

inline inherited

Return `true` if this iterator is not yet exhausted.

## operator!=()

bool operator!= | ( | const IteratorBase & | other | ) | const

inline inherited

## operator*()

ValueT & operator* | ( |  | ) | const

inline inherited

Return a reference to the item to which this iterator is pointing.

## operator++()

IteratorBase & operator++ | ( |  | ) |

inline inherited

Advance to the next item in the parent node's table.

## operator->()

ValueT * operator-> | ( |  | ) | const

inline inherited

Return a pointer to the item to which this iterator is pointing.

## operator==()

bool operator== | ( | const IteratorBase & | other | ) | const

inline inherited

## parent()

NodeT & parent | ( |  | ) | const

inline inherited

Return a reference to the node over which this iterator is iterating.

Exceptions

  ValueError | if there is no parent node.

## pos()

Index pos | ( |  | ) | const

inline inherited

Identical to offset.

## setItem() [1/2]

template<Index Log2Dim>
template<typename MaskIterT, typename NodeT, typename ValueT>

void setItem | ( | Index | pos,
|  | bool | value ) const

inline

## setItem() [2/2]

void setItem | ( | Index | ,
|  | const ValueT & | ) const

inherited

Set the value of the item at the given index in the parent node's table.

Note
  All non-const iterator subclasses must implement this accessor.

## setValue() [1/2]

template<Index Log2Dim>
template<typename MaskIterT, typename NodeT, typename ValueT>

void setValue | ( | bool | value | ) | const

inline

## setValue() [2/2]

void setValue | ( | const ValueT & | value | ) | const

inline inherited

Set the value of the item to which this iterator is pointing. (Not valid for const iterators.).

## setValueOff()

void setValueOff | ( |  | ) | const

inline inherited

If this iterator is pointing to a value, mark the value as inactive.

If this iterator is pointing to a child node, then the current item in the parent node's table is required to be inactive. In that case, this method has no effect.

## setValueOn()

void setValueOn | ( | bool | on = true | ) | const

inline inherited

If this iterator is pointing to a value, set the value's active state. Otherwise, do nothing.

## test()

bool test | ( |  | ) | const

inline inherited

Return `true` if this iterator is not yet exhausted.

## Member Data Documentation

## IsDenseIterator

const bool IsDenseIterator

static inherited

## IsSparseIterator

const bool IsSparseIterator

static inherited